<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel Admin') }}</title>

        <!-- Fonts -->
        <link rel="preconnect" href="https://fonts.bunny.net">
        <link href="https://fonts.bunny.net/css?family=figtree:400,500,600&display=swap" rel="stylesheet" />

        <!-- Scripts -->
        @vite(['resources/css/app.css', 'resources/js/app.js'])
        @livewireStyles
        <wireui:scripts />
    </head>
    <body class="bg-gray-100 text-gray-800">
        @auth
        <div class="flex min-h-screen">
            {{-- Sidebar --}}
            <livewire:layout.admin.sidebar />

            <div class="flex-1 flex flex-col">
                {{-- Top nav --}}
                <livewire:layout.admin.navigation />

                {{-- Page content --}}
                <main class="p-6">
                    {{ $slot }}
                </main>
            </div>
        </div>
        @else
            <main class="p-6">
                {{ $slot }}
            </main>
        @endauth

        @livewireScripts
    </body>
</html>

